VMTKPYTHONSCRIPT(1)

NAME
vmtkpythonscript - vmtk script vmtkpythonscript

DESCRIPTION
Automatic piping vmtkpythonscript Parsing options vmtkpythonscript

vmtkpythonscript : execute a python script contained in a file

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-image Image (vtkImageData,1): the input image

-imagefile ImageInputFileName (str,1): filename for the default

    Image reader

-image2 Image2 (vtkImageData,1): the second input image

-image2file Image2InputFileName (str,1): filename for the default

    Image2 reader

-surface Surface (vtkPolyData,1): the input surface

-surfacefile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-surface2 Surface2 (vtkPolyData,1): the second input surface

-surface2file Surface2InputFileName (str,1): filename for the

    default Surface2 reader

-mesh Mesh (vtkUnstructuredGrid,1): the input mesh

-meshfile MeshInputFileName (str,1): filename for the default Mesh

    reader

-mesh2 Mesh2 (vtkUnstructuredGrid,1): the second input mesh

-mesh2file Mesh2InputFileName (str,1): filename for the default

    Mesh2 reader

-scriptfile PythonScriptFileName (str,1): the name of the file were

    the Python script resides

-oimagefile ImageOutputFileName (str,1): filename for the default

    Image writer

-osurfacefile SurfaceOutputFileName (str,1): filename for the

    default Surface writer

-omeshfile MeshOutputFileName (str,1): filename for the default

    Mesh writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-oimage Image (vtkImageData,1): the output image

-osurface Surface (vtkPolyData,1): the output surface

-omesh Mesh (vtkUnstructuredGrid,1): the output mesh